---
Name: ipv6-support
Description: Whether to enable or disable IPv6 in various places.
Documentation: |
  In some installers and setup environments, it is desirable to selectively
  turn on or off IPv6 support.  The value of this Param (`true` or `false`)
  can be used in automation code to effect the appropriate settings change.

  In the case of Ubuntu 20.04 and newer, it is used in the autoinstall subiquity
  generated configs to selectively disable IPv6.  If the install environment
  doesn't support it, then the the network interface will flap many times during
  package install, generating STDOUT and STDERR messages.

  The default value of this Param is set to `false` (disable IPv6) for those
  places in code that use this setting.  Settings definitions:

    * `true`: ENABLE IPv6 support where the Param is being used
    * `false`: DISABLE IPv6 support where the Param is being used

Meta:
  color: blue
  icon: sitemap
  title: Digital Rebar Community Content
Schema:
  default: false
  type: boolean
